<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Name: Minimal CDA document
Description: A minimal CDA Release 2 document, that contains only a few attributes and relationships for the ClinicalDocument class:  
                     typeId: fixed 
                     id: unique id of the document instance 
                     code: type of document 
                     effectiveTime: creation date of the document 
                     confidentialityCode: confidentiality level indication for this document 
                     recordTarget: the record target (e.g. patient) 
                     author: author of this document 
                     custodian: custodian for this document 
                     component: contains (in this case) structured body 
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000">
   <title>Minimal CDA document</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /
Item: (MinimalCDAdocument)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]"
         id="tmp-r-e5bd2ac3-46ab-4f36-9077-899f8e7add1b">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(MinimalCDAdocument): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(MinimalCDAdocument): element hl7:typeId[@root='2.16.840.1.113883.1.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']/@nullFlavor)">(MinimalCDAdocument): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1'])&lt;=1">(MinimalCDAdocument): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(MinimalCDAdocument): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:id)&lt;=1">(MinimalCDAdocument): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(MinimalCDAdocument): element hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(MinimalCDAdocument): element hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:title)&lt;=1">(MinimalCDAdocument): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(MinimalCDAdocument): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(MinimalCDAdocument): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(MinimalCDAdocument): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(MinimalCDAdocument): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(MinimalCDAdocument): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(MinimalCDAdocument): element hl7:custodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:custodian)&lt;=1">(MinimalCDAdocument): element hl7:custodian appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (CDAtypeId)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-7389d6b4-bb3b-4ed6-87a9-2e30de5ceb87">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900001-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtypeId): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900001-2013-02-10T000000.html"
              test="string(@extension)='POCD_HD000040'">(CDAtypeId): The value for @extension SHALL be 'POCD_HD000040'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900001-2013-02-10T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(CDAtypeId): @root SHALL have value '2.16.840.1.113883.1.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']"
         id="tmp-r-0afb1862-68e0-4e1d-9b19-8c7fb6b84ba9">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MinimalCDAdocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@root)='2.16.840.1.113883.3.1937.99.60.3.10.1'">(MinimalCDAdocument): @root SHALL have value '2.16.840.1.113883.3.1937.99.60.3.10.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:id
Item: (CDAid)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:id"
         id="tmp-r-99481e89-bb0a-4e5e-a515-c077761c5ec1">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAid): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-764ef85f-ebca-443f-b867-a1c324072c4b">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MinimalCDAdocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="@nullFlavor or (@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')">(MinimalCDAdocument): The element value SHALL be code '11524-6' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:title
Item: (CDAtitle)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:title"
         id="tmp-r-3737e448-ff73-489e-badf-7916198e5afc">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900003-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtitle): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900004
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:effectiveTime
Item: (CDAeffectiveTime)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:effectiveTime"
         id="tmp-r-696f7928-7360-4e29-99a6-b2eb4f45bf8f">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900004-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAeffectiveTime): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900005
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (CDAconfidentialityCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-680793bc-c2ab-4c27-a9c6-b16c7144f82f">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900005-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAconfidentialityCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900005-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAconfidentialityCode): The element value SHALL be BasicConfidentialityKind Basic Confidentiality Kind (HL7) (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900005-2013-02-10T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(CDAconfidentialityCode): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set BasicConfidentialityKind Basic Confidentiality Kind (HL7) (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:recordTarget
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:recordTarget"
         id="tmp-r-7f84bcf3-de78-4841-bcc5-2c57572a0419">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="string(@typeCode)='RCT' or not(@typeCode)">(CDArecordTarget): The value for @typeCode SHALL be 'RCT'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="string(@contextControlCode)='OP' or not(@contextControlCode)">(CDArecordTarget): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:patientRole)&gt;=1 ">(CDArecordTarget): element hl7:patientRole is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTarget): element hl7:patientRole appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:recordTarget/hl7:patientRole"
         id="tmp-r-e448f0d6-72e2-492e-a0f4-947cca17bfa1">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="string(@classCode)='PAT' or not(@classCode)">(CDArecordTarget): The value for @classCode SHALL be 'PAT'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 ">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:patient)&gt;=1 ">(CDArecordTarget): element hl7:patient is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTarget): element hl7:patient appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.110
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (NationalPatientIdentifier)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-3cad8872-7147-423e-855f-ef7ec945267e">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.110-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NationalPatientIdentifier): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.110-2013-01-31T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3'">(NationalPatientIdentifier): @root SHALL have value '2.16.840.1.113883.2.4.6.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-r-e3d2e9cb-d155-4104-bfed-c2b20cf1f0fc">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(CDArecordTarget): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDArecordTarget): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDArecordTarget): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:birthTime)&gt;=1 ">(CDArecordTarget): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTarget): element hl7:birthTime appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-r-a1cdb65c-9119-4be5-948c-c12076d10a0e">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-92826fa0-7384-44fa-b13c-62e6e689394f">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): The element value SHALL be AdministrativeGender AdministrativeGender (HL7) (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(CDArecordTarget): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set AdministrativeGender AdministrativeGender (HL7) (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-r-81087c42-88aa-414c-9896-a32dfc55bb9e">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2001-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author"
         id="tmp-r-3f8f36b2-9e59-417f-8701-41dc293893ce">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(CDAauthor): The value for @typeCode SHALL be 'AUT'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDAauthor): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:time)&lt;=1">(CDAauthor): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(CDAauthor): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAauthor): element hl7:assignedAuthor appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:time
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:time"
         id="tmp-r-8e141d79-f934-4dcb-b73e-6ea206a1dd30">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:assignedAuthor"
         id="tmp-r-bdab7395-75fd-458b-847e-58586f4c23b7">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAauthor): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:id)&lt;=1">(CDAauthor): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthor): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAauthor): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-r-f885ec6b-7db4-4342-aa55-0bccd755dd86">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-r-8c720dd2-8768-4dc9-b686-abd1e852a6ed">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900200
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPersonElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-449ef13a-58ff-44fc-8bad-6f5482196729">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900200-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPersonElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-c208b647-4eaa-4aff-892c-734958852f15">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2002-2013-02-10T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAauthor): element hl7:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-r-2d902f69-2ca6-40e0-b16c-d04bb1ac07d0">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-r-b2784063-a24f-4be3-be05-067c22ed8573">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-b44155af-478c-486b-b847-a4b081f1a42f">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-r-3723d5d2-2a42-4b88-87f9-f728efd49b44">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:custodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:custodian"
         id="tmp-r-062056d2-ef7a-4214-8209-3164c70d9e52">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2003-2013-02-10T000000.html"
              test="string(@typeCode)='CST' or not(@typeCode)">(CDAcustodian): The value for @typeCode SHALL be 'CST'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2003-2013-02-10T000000.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(CDAcustodian): element hl7:assignedCustodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2003-2013-02-10T000000.html"
              test="count(hl7:assignedCustodian)&lt;=1">(CDAcustodian): element hl7:assignedCustodian appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:custodian/hl7:assignedCustodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:custodian/hl7:assignedCustodian"
         id="tmp-r-365aed1d-abce-4b9e-abfa-3b80e5e9afc2">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2003-2013-02-10T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(CDAcustodian): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2003-2013-02-10T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(CDAcustodian): element hl7:representedCustodianOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="tmp-r-0d2a35fc-f13f-42e7-b5d6-f191eb3cfe56">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2003-2013-02-10T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(CDAcustodian): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2003-2013-02-10T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDAcustodian): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2003-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAcustodian): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2003-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(CDAcustodian): element hl7:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.2003-2013-02-10T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAcustodian): element hl7:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id"
         id="tmp-r-7958d314-377f-46b9-aa9e-67897477cb01">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name"
         id="tmp-r-92ca3eea-840e-4f12-9605-7ab0b6f13779">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom"
         id="tmp-r-a466beee-6055-4c92-ad9f-eca4b8a6d4cc">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr"
         id="tmp-r-4f91b23e-2789-47aa-8b28-0507c8af6b25">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:component
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:component"
         id="tmp-r-841bcf05-3372-426b-8f07-7fcbc0429d3c">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(MinimalCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(MinimalCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:component/hl7:structuredBody
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:component/hl7:structuredBody"
         id="tmp-r-083d1d85-5098-4b13-a46d-10954e07b1de">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(MinimalCDAdocument): The value for @classCode SHALL be 'DOCBODY'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(MinimalCDAdocument): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]]/@nullFlavor)">(MinimalCDAdocument): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]])&lt;=1">(MinimalCDAdocument): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]] appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.3.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]]
Item: (MinimalCDAdocument)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.1']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.3.10.3001']]]">
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(MinimalCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo3/demo3-html-20140614T100347/tmp-2.16.840.1.113883.3.1937.99.60.3.10.1-2013-02-10T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(MinimalCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
</pattern>
